Get Connect Profile Types

Gets a list of available connect profile types.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/connect-profile-types
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/connect-profile-types
Request Parameters
KeyRequiredTypeDescriptionNote
keywordsXStringSearch keyword

Success Response

The example below shows the types of connect profiles built into the default package. The list of connect profiles is dynamically expanded when you install a new app.

{
  "profile_factories": [
    {
      "type": "ftp",
      "name": "FTP",
      "description": "Manage FTP connect profiles.",
      "is_testable": true
    },
    {
      "type": "ldap",
      "name": "LDAP",
      "description": "Manage LDAP connect profiles.",
      "is_testable": true
    },
    {
      "type": "ssh",
      "name": "SSH",
      "description": "Manage SSH connect profiles.",
      "is_testable": true
    },
    {
      "type": "taxii",
      "name": "TAXII",
      "description": "Manage connection properties for TAXII 2.0",
      "is_testable": false
    },
    {
      "type": "jdbc",
      "name": "Database",
      "description": "Manage JDBC driver connection strings",
      "is_testable": true
    },
    {
      "type": "mongo",
      "name": "MongoDB",
      "description": "Manage MongoDB connect profiles.",
      "is_testable": true
    }
  ]
}
  • profile_factories (Array): List of connect profile types
    • type (String): Connect profile type identifier
    • name (String): Connect profile type name
    • description (String): Connect profile type description
    • is_testable (Boolean): Whether connection check (connection test) is supported. true if the type supports connection checks.